Core - Bug # 60726

Status: Resolved Priority: Should have
Author: Stefan Froemken Category: Fluid
Created: 2014-08-01 Assigned To:

Updated: 2014-09-20 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: __identity field will not be rendered if of type @lazy

Description
Hello Core-Team,
| have a field like that one in my fluid-template:

<f:form.textfield class="powermail_input" placeholder="ss:mm" id="timeBegin" property="eventTime.timeBegin" />
To prevend it from validation | have added the @lazy annotation in domain model. In renderHiddenldentityField method you have
something like:

if (lis_object($object)

|| [($object instanceof \TYPO3\CMS\Extbase\DomainObject\AbstractDomainObject)

|| ($object->_isNew() && !$object->_isClone())) {
return ";

But \TYPO3\CMS\Extbase\Persistence\Generic\LazyLoadingProxy isn't any type of them, so my required __identity field will not be
rendered in template.

Stefan

Related issues:
duplicated by Core - Bug # 60913: Cannot edit lazy loaded objects Resolved 2014-08-12

Associated revisions

Revision 66d5ac3a - 2014-09-20 17:13 - Stefan Froemken

[BUGFIX] add _loadReallnstance in f:form ViewHelper

If you edit a form containing subproperties of your domain model,
f:form VH will add some hidden fields to identify your related
domain models (__identity).

But in case of @lazy annotations, these fields will not be
rendered because of a missing _loadReallnstance call

in AbstractFormViewHelper object.

Releases 6.3, 6.2
Revision aee2c5a1 - 2014-09-20 17:13 - Stefan Froemken

[BUGFIX] add _loadReallnstance in f:form ViewHelper

If you edit a form containing subproperties of your domain model,
f:form VH will add some hidden fields to identify your related
domain models (__identity).

But in case of @lazy annotations, these fields will not be
rendered because of a missing _loadReallnstance call

in AbstractFormViewHelper object.

Releases 6.3, 6.2

Resolves: #60726

Change-Id: 167864e5b80752ff4350efabc72bd2b0a89d33bad
Reviewed-on: http://review.typo3.org/32895

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2014-08-01 15:05 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31934

#2 - 2014-08-01 16:00 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31934

#3 - 2014-08-01 16:01 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31934

#4 - 2014-08-01 16:05 - Gerrit Code Review
Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/31934

#5 - 2014-08-13 22:12 - Christian Kuhn

To prevend it from validation | have added the @lazy annotation in domain model.

Is this sentence correct? If so, @lazy is definately not meant to be used to circumvent validation.

#6 - 2014-08-14 08:55 - Stefan Froemken

| know it is for loading domain models when needed. But in case of MM-Tables a @lazy annotation is the best solution to stop validation over nearly

ALL mm-records (tested duration: 17 seconds).

#7 - 2014-09-20 17:13 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32895

#8 - 2014-09-20 17:30 - Stefan Froemken
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:66d5ac3ad72e92b4158f9d09cf9ae8e0cabb03c?.
